PETSc version 3.15.5
Fix/Edit manual page

# PetscDualSpaceGetUniform

Whether this dual space is uniform

### Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscDualSpaceGetUniform(PetscDualSpace sp, PetscBool *uniform)

Not collective

### Input Parameters

| sp | - A dual space

### Output Parameters

| uniform | - PETSC_TRUE if (a) the dual space is the same for each point in a stratum of the reference DMPlex, and (b) every symmetry of each point in the reference DMPlex is also a symmetry of the point's dual space.

Note: all of the usual spaces on simplex or tensor-product elements will be uniform, only reference cells with non-uniform strata (like trianguar-prisms) or anisotropic hp dual spaces will not be uniform.

### See Also

PetscDualSpaceGetPointSubspace(), PetscDualSpaceGetSymmetries()

### Level

advanced

### Location

src/dm/dt/dualspace/interface/dualspace.c
Index of all DUALSPACE routines
Table of Contents for all manual pages
Index of all manual pages